curl --request POST \
--url https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"inputs": {
"message": "Hello World!"
},
"page": "0"
}
}
'import requests
url = "https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/run"
payload = { "data": {
"inputs": { "message": "Hello World!" },
"page": "0"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {inputs: {message: 'Hello World!'}, page: '0'}})
};
fetch('https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "run",
"id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 402,
"code": "payment_required",
"title": "Payment Required",
"detail": "Insufficient tasks on account"
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 424,
"code": "partner_api_unhealthy",
"title": "Partner API Temporarily Unavailable",
"detail": "The app's API is currently unhealthy. Retry the request later."
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Run a stored action
Execute Stored Action
Executes an action on behalf of a user, this is an async process.
Requires the id from a stored action
Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions//runs/ endpoint with that run id.
Billing
The Actions API offers support for directly billing users for Stored Action
Runs, and this functionality is currently opt-in. To do this, you
must provide a billing claim on the JWT used to authenticate. This
claim must be a JSON string, and any values provided will override the
default configuration shown below. The simplest approach is therefore
to set is_billable to true, and successful Stored Action Runs will be
charged to a user at a rate of one task.
billing: {
"is_billable": false,
"origin": "actions_api",
"usage_type": "action_run",
"description": "an action was run via Actions API",
"exemption_reason": null,
"exemption_details": null
}
Rate Limits
Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global
is active. Requests are rate limited by default unless the JWT explicitly sets
rate_limit.exempt to true.
rate_limit: {
"exempt": true
}
Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom
limit, include limit_override (1–1000 requests per 5 minutes):
rate_limit: {
"exempt": false,
"limit_override": 500
}
Authorizations
OAuth 2.0 authentication.
Path Parameters
Body
The shape of a request payload accepted when running a stored action.
Show child attributes
Show child attributes
Response
Acknowledges the request to execute a StoredAction
The data returned after running a stored action
Show child attributes
Show child attributes
Was this page helpful?